diff -ruN jwasm.orig/Makefile jwasm/Makefile
--- jwasm.orig/Makefile	2012-07-29 14:41:38.000000000 -0500
+++ jwasm/Makefile	2012-07-29 14:57:33.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	jwasm
-PORTVERSION=	206
+PORTVERSION=	207a
 CATEGORIES=	devel
 MASTER_SITES=	http://www.japheth.de/Download/JWasm/
 DISTNAME=	JWasm${PORTVERSION}s
@@ -27,7 +27,10 @@
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${WRKSRC}/*.txt ${DOCSDIR}
-	@${GZIP_CMD} ${DOCSDIR}/*.txt
+	@${MKDIR} ${DOCSDIR}/manual
+	@${INSTALL_DATA} ${WRKSRC}/Doc/*.txt ${DOCSDIR}/manual
+	@${GZIP_CMD} ${DOCSDIR}/*.txt ${DOCSDIR}/manual/*.txt
+	
 .endif
 
 .include <bsd.port.mk>
diff -ruN jwasm.orig/distinfo jwasm/distinfo
--- jwasm.orig/distinfo	2012-07-29 14:41:38.000000000 -0500
+++ jwasm/distinfo	2012-07-29 14:43:46.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (JWasm206s.zip) = bf3c03a546396dc25cf33fab4c31a7197be6651b75f4c6679727c391db7374c7
-SIZE (JWasm206s.zip) = 763604
+SHA256 (JWasm207as.zip) = 78c6f76ab729d9ecccf0a7fcf335457d6f76b613172a85c8d44b56ef79d328cc
+SIZE (JWasm207as.zip) = 804843
diff -ruN jwasm.orig/files/patch-H+memalloc.h jwasm/files/patch-H+memalloc.h
--- jwasm.orig/files/patch-H+memalloc.h	1969-12-31 19:00:00.000000000 -0500
+++ jwasm/files/patch-H+memalloc.h	2012-07-29 14:51:52.000000000 -0500
@@ -0,0 +1,20 @@
+--- H/memalloc.h.orig	2012-07-29 14:44:42.000000000 -0500
++++ H/memalloc.h	2012-07-29 14:51:44.000000000 -0500
+@@ -40,14 +40,15 @@
+ #if defined(__WATCOMC__) || defined(__BORLANDC__) || defined(__OCC__)
+ #define myalloca  alloca
+ #include <malloc.h>
+-#elif defined(__GNUC__) || defined(__TINYC__)
++#elif (defined(__GNUC__) || defined(__TINYC__)) && !defined(__FreeBSD__)
+ #define myalloca  alloca
+ #include <malloc.h>  /* added v2.07 */
+ #elif defined(__PCC__)
+ #define myalloca  _alloca
+ #include <malloc.h>
+ #else
+-#define myalloca  _alloca
++#define myalloca  alloca
++#include <stdlib.h>
+ #endif
+ 
+ /* AsmAlloc() and AsmFree() are fast variants, which
diff -ruN jwasm.orig/pkg-descr jwasm/pkg-descr
--- jwasm.orig/pkg-descr	2012-07-29 14:41:38.000000000 -0500
+++ jwasm/pkg-descr	2012-07-29 14:43:31.000000000 -0500
@@ -9,7 +9,7 @@
 64-bit), Elf (32-and 64-bit), Bin and DOS MZ.
 - precompiled JWasm binaries are available for DOS, Windows and Linux. For 
 OS/2 and FreeBSD, makefiles are supplied.
-- Instructions up to SSSE3 are supported.
+- Instructions up to AVX are supported.
 - The JWasm source is portable and has successfully been tested with Open 
 Watcom, MS VC, GCC and more.
 - As far as programming for Windows is concerned, JWasm can be used with 
diff -ruN jwasm.orig/pkg-plist jwasm/pkg-plist
--- jwasm.orig/pkg-plist	2012-07-29 14:41:38.000000000 -0500
+++ jwasm/pkg-plist	2012-07-29 15:02:19.000000000 -0500
@@ -2,6 +2,11 @@
 bin/jwasm
 %%PORTDOCS%%%%DOCSDIR%%/History.txt.gz
 %%PORTDOCS%%%%DOCSDIR%%/License.txt.gz
-%%PORTDOCS%%%%DOCSDIR%%/Manual.txt.gz
 %%PORTDOCS%%%%DOCSDIR%%/Readme.txt.gz
+%%PORTDOCS%%%%DOCSDIR%%/manual/enh.txt.gz
+%%PORTDOCS%%%%DOCSDIR%%/manual/fixes.txt.gz
+%%PORTDOCS%%%%DOCSDIR%%/manual/gencode.txt.gz
+%%PORTDOCS%%%%DOCSDIR%%/manual/overview.txt.gz
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/manual
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+
